# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Array-Compare
Version:	3.0.0
Release:	1.%{__distinit}%{__distvers}
Summary:	Perl extension for comparing arrays
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Array-Compare/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DA/DAVECROSS/Array-Compare-v%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Moo)
BuildRequires:	perl(strict)
BuildRequires:	perl(Types::Standard)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
If you have two arrays and you want to know if they are the same or
different, then Array::Compare will be useful to you.

%prep
%setup -q -n Array-Compare-v%{version}
chmod -c -x lib/Array/Compare.pm README

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Array/
%{_mandir}/man3/Array::Compare.3*

%changelog
* Tue Dec 13 2016 Paul Howarth <paul@city-fan.org> - 3.0.0-1
- Update to 3.0.0
  - New version to get round dubious decisions in Perl toolchain

* Thu Dec  8 2016 Paul Howarth <paul@city-fan.org> - 2.12.2-1
- Update to 2.12.2
  - Packaging changes

* Mon Jun 13 2016 Paul Howarth <paul@city-fan.org> - 2.12-1
- Update to 2.12
  - Packaging changes
- BR: perl-generators where available
- Simplify find command using -delete

* Thu Oct  2 2014 Paul Howarth <paul@city-fan.org> - 2.11-1
- Update to 2.11
  - Ported from Moose to Moo
- Classify buildreqs by usage

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 2.02-6
- Drop %%defattr, redundant since rpm 4.4

* Sun Jul 15 2012 Paul Howarth <paul@city-fan.org> - 2.02-2
- BR: perl(Test::More)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Fri Dec 16 2011 Paul Howarth <paul@city-fan.org> - 2.02-1
- Update to 2.02
  - Removed old Perl 4-ish test comments in t/test.t
  - Tests and fixes for "Use of uninitialized value in join or string" warning
    (CPAN RT#73287)
- BR: perl(Carp)
- BR: perl(Test::NoWarnings)
- Drop patch for building with old perls, no longer needed

* Tue Jun 21 2011 Paul Howarth <paul@city-fan.org> - 2.01-7
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Apr 13 2011 Paul Howarth <paul@city-fan.org> - 2.01-6
- Nobody else likes macros for commands

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 2.01-5
- Rebuild for perl 5.12.1 in Rawhide

* Thu Jun  3 2010 Paul Howarth <paul@city-fan.org> - 2.01-4
- Fix dist tag for RHEL-6 Beta

* Fri Feb 26 2010 Paul Howarth <paul@city-fan.org> - 2.01-3
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Thu Sep 17 2009 Paul Howarth <paul@city-fan.org> - 2.01-2
- Reinstate patch for building on old perls now we have perl(Moose) back to
  FC-1

* Tue Sep  1 2009 Paul Howarth <paul@city-fan.org> - 2.01-1
- Update to 2.01 (version bump with no significant changes)

* Mon Aug 10 2009 Paul Howarth <paul@city-fan.org> - 2.00-1
- Update to 2.00
- BR: perl(Moose)
- Drop patch for building on old perls as we don't have perl(Moose) there

* Mon Jun 15 2009 Paul Howarth <paul@city-fan.org> - 1.18-1
- Update to 1.18 (fix uninitialized variable in simple_compare - RT#45145)
- Update to SLES-compatible dist tag macros
- Add patch to fix builds on old perls

* Fri Dec 19 2008 Paul Howarth <paul@city-fan.org> - 1.17-1
- Update to 1.17

* Mon Jun 30 2008 Paul Howarth <paul@city-fan.org> - 1.16-1
- Update to 1.16
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Fri Mar  7 2008 Paul Howarth <paul@city-fan.org> - 1.15-1
- Update to 1.15
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Use ExtUtils::MakeMaker instead of Module::Build (works better on RHL9)

* Mon Apr  2 2007 Paul Howarth <paul@city-fan.org> - 1.14-1
- Update to 1.14
- Fix dist tag for Fedora 7 onwards
- Fix permissions of installed perl module

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> - 1.13-2
- Fix distribution tags for development releases
- Define %%{__id_u} in a more portable way
- Remove buildroot unconditionally in %%clean and %%install
- Use search.cpan.org download URL

* Tue Oct  4 2005 Paul Howarth <paul@city-fan.org> - 1.13-1
- Update to 1.13

* Fri Aug 26 2005 Paul Howarth <paul@city-fan.org> - 1.12-4
- Import from Fedora Extras

* Fri Jul  1 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.12-3
- Dist tag

* Wed Apr 20 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.12-0.fdr.2
- Avoid .packlist creation with Module::Build ≥ 0.2609

* Tue Mar  1 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.12-0.fdr.1
- Update to 1.12

* Fri Nov  5 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.11-0.fdr.1
- Update to 1.11

* Sun Jul 04 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.09-0.fdr.1
- First build
